package cn.com.countrygarden.bi.main.dao.extension;

import cn.com.countrygarden.bi.main.dto.extension.ExtensionReportDTO;
import cn.com.countrygarden.bi.main.dto.extension.ExtensionUpFileInfo;
import org.apache.ibatis.annotations.Param;

public interface ExtensionUploadFileMapper {
    int deleteByPrimaryKey(Long id);

    int insert(ExtensionUpFileInfo record);

    int insertBatchSelective(@Param("dto") ExtensionReportDTO dto, @Param("userCode") String userCode);

    ExtensionUpFileInfo selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ExtensionUpFileInfo record);

    int updateByPrimaryKey(ExtensionUpFileInfo record);

    void updateBatchSelective(@Param("dto") ExtensionReportDTO dto, @Param("userCode") String userCode);
}